package com.bcxin.signature.service;


/**
 * <b> 签章业务相关 </b>
 * @author ZXF
 * @create 2024/11/20 0020 18:13
 * @version
 * @注意事项 </b>
 */
public interface SignatureService {


    /**
     * <b> 文书签章业务 </b>
     * @author ZXF
     * @create 2024/11/20 0020 17:33
     * @version
     * @注意事项 </b>
     */
    void documentSignature();

    /**
     * <b> 资格证签章业务 </b>
     * @author ZXF
     * @create 2024/11/20 0020 17:33
     * @version
     * @注意事项 </b>
     */
    void bazgzSignature();

    /**
     * <b> 京通靓证业务 </b>
     * @author ZXF
     * @create 2024/11/20 0020 17:33
     * @version
     * @注意事项 </b>
     */
    void signatureJTLZ();

    /**
     * <b> 京通靓证业务保安服务许可证 </b>
     * @author ZXF
     * @create 2024/11/20 0020 17:33
     * @version
     * @注意事项 </b>
     */
    void signatureJTLZDocument();

    /**
     * <b> 主方法检查前一天的残留文件处理（每天定时跑） </b>
     * @author ZXF
     * @create 2025/07/14 0014 13:10
     * @version
     * @注意事项 </b>
     */
    void batchDeleteBcxFile();

    /**
     * <b> 京通靓证业务(废止) </b>
     * @author ZXF
     * @create 2024/11/20 0020 17:33
     * @version
     * @注意事项 </b>
     */
    void signatureJTLZ_FZ();

}
